#!/usr/bin/env python
# -*- mode:Python; tab-width: 4 -*-
"""
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published
by the Free Software Foundation; either version 2 of the License,
or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
"""

__author__ = "Grzegorz Adam Hankiewicz <gradha@efaber.net>"
__date__ = "May 2003"
__version__ = "$Revision: 1.10 $"
__credits__ = ""

output_dir = "efaber/"
start_urls = ["http://www.efaber.net/"]
remote_filters = ["http://www.efaber.net/"]
language_codes = [("eu", ".eu"), ("es", ".es")]
html_extension = ".html"
clean_html = 0
black_list = [r"/q01\w+", r"\.gif", r"\.jpg", r"\.pdf", r"\.png"]
    
def main():    
    """Entry point of the appliaction."""
    import cms_freeze
    cms_freeze.main_process(output_dir, start_urls, remote_filters,
        language_codes, html_extension, clean_html, black_list)
    print "Done"

if __name__ == "__main__":
    import sys
    if "run" in sys.argv[1:]:
        main()
    else:
        print """
This is a little startup script which hooks directly some options
of cms_freeze. You can either run cms_freeze directly with a long
commandline, or use this script, which has the correct embedded
parameters.

The parameters are:
    Output directory:   %s
    Start urls:         %s
    Remote filters:     %s
    Language codes:     %s
    HTML extension:     %s
    Clean bad HTML:     %s
    Black list:         %s

Of course, to run this script for real, you have to pass the
parameter "run". Otherwise only this boring screen is printed.
""" % (output_dir, start_urls, remote_filters, language_codes,
    html_extension, clean_html, black_list)

